<?xml version="1.0" encoding="utf-8"?>
<PreferenceScreen android:title="Navigation pulse"
  xmlns:android="http://schemas.android.com/apk/res/android"
  xmlns:settings="http://schemas.android.com/apk/res/com.android.settings">
    <PreferenceScreen android:layout="@layout/lottie_pulse" />
    <PreferenceScreen android:title="About Pulse(Turn on Nevigation button)" android:summary="Pulse is brilliant equalizer bar style audio visualization on the Navigation bar when music plays. Pulse does not work with some audio sources when listening on device speaker" />
    <XMiuiCheckBoxPreference android:title="Show Pulse" android:key="pulse_model_arvanasoft" android:summary="Audio visualization on the Navigation bar" android:defaultValue="true" />
    <XMiuiColorPickerPreference android:title="Pulse color" android:key="warna_visual_arvanasoft" android:dependency="pulse_model_arvanasoft" android:defaultValue="\#CE2F56F1" alphaSlider="true" hexValue="true" presetView="true" />
    <XMiuiCheckBoxPreference android:title="Turn on Lava Lamp" android:key="lampu_visualisasi_arvanasoft" android:summary="Pulse animates a smooth lava lamp style color blend" android:dependency="pulse_model_arvanasoft" android:defaultValue="true" />
    <PreferenceCategory android:title="Pulse settings" android:dependency="pulse_model_arvanasoft">
        <XMiuiSeekBarPreference android:layout="@layout/miuix_seekbar" android:title="Sanity level" android:key="tinggi_bar_visual_arvanasoft" android:summary="value %s" android:defaultValue="3" min="1" max="12" step="1" />
        <XMiuiSeekBarPreference android:layout="@layout/miuix_seekbar" android:title="solid line count" android:key="jumlah_baris_visual_arvanasoft" android:summary="value %s" android:defaultValue="32" min="32" max="128" step="1" />
        <XMiuiSeekBarPreference android:layout="@layout/miuix_seekbar" android:title="solid line opacity" android:key="opacity_visual_arvanasoft" android:summary="value %s" android:defaultValue="200" min="0" max="200" step="1" />
        <XMiuiSeekBarPreference android:layout="@layout/miuix_seekbar" android:title="Lava Lamp speed" android:key="kecepatan_lampu_visual_arvanasoft" android:summary="value %s" android:defaultValue="500" min="200" max="10000" step="1" />
    </PreferenceCategory>
</PreferenceScreen>
